Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 469264 - ActivationKey API changes to support Package Architecture
Summary: ActivationKey API changes to support Package Architecture
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: API
Version: 0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brad Buckingham
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-10-30 21:38 UTC by Brad Buckingham
Modified: 2009-01-22 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:10 UTC


Attachments (Terms of Use)

Description Brad Buckingham 2008-10-30 21:38:16 UTC
Description of problem:

This BZ is related to the enhancements made by :
https://bugzilla.redhat.com/show_bug.cgi?id=456472

This BZ is to modify the XMLRPC API ActivationKeyHandler to support packages that include package architecture.

This includes the following modifications:

- addPackages - new API to add packages that include name and optional arch

- removePackages - new API to remove packages that include name and optional arch

- getDetails 
  - update return to include new packages value which includes name/arch
  - update return value to deprecate existing packageNames

- listActivationKeys 
  - update return to include new packages value which includes name/arch
  - update return value to deprecate existing packageNames

- addPackageNames - deprecate existing API
- removePackageNames - deprecate existing API

The APIs mentioned as deprecated above will still exist in the current release; however, the intent is to remove them in a future release of the API.

Comment 1 Brad Buckingham 2009-01-08 22:08:35 UTC
git commit:
59ef64494c0b5ec5300962822f815d41000817d7

Comment 2 Brad Buckingham 2009-01-15 20:14:08 UTC
verified with spacewalk-java-0.4.15-1.el5


Note You need to log in before you can comment on or make changes to this bug.